<?php
/**
 * WooCommerce Remove Add to Cart Button
 *
 * @package   drx-woocommerce-remove-add-to-cart-button
 * @author    Orcapia
 * @license   GPL
 * @link      https://www.orcapia.com/plugins/plugin-drx-woocommerce-remove-add-to-cart-button/
 * @compiler      
 * @copyright 2016-2023 orcapia.com
 *
 * @wordpress-plugin
 * Plugin Name:       WooCommerce Remove Add to Cart Button
 * Plugin URI:        https://www.orcapia.com/plugins/plugin-drx-woocommerce-remove-add-to-cart-button/
 * Description:       Removes all add to car buttons when enabled. Does not make any aditional changes to the site.
 * Version:           1.0.8
 * Author:            Orcapia
 * Author URI:        
 * Text Domain:       drx-woocommerce-remove-add-to-cart-button
 * License:           GPL
 * License URI:       
 * Domain Path:       /languages
 */
defined('ABSPATH') or die("No direct access");if ( ! defined( 'DRX_WOOCOMMERCE_REMOVE_ADD_TO_CART_BUTTON_FILE' ) ) { define( 'DRX_WOOCOMMERCE_REMOVE_ADD_TO_CART_BUTTON_FILE', __FILE__ ); } include_once dirname( __FILE__ ) . '/includes/drx-woocommerce-remove-add-to-cart-button-init.php'; function drx_woocommerce_remove_add_to_cart_button_on_activation() { if ( ! current_user_can( 'activate_plugins' ) ) return; $plugin = isset( $_REQUEST['plugin'] ) ? $_REQUEST['plugin'] : ''; check_admin_referer( "activate-plugin_{$plugin}" ); if (function_exists('drx_woocommerce_remove_add_to_cart_button_activate')) drx_woocommerce_remove_add_to_cart_button_activate(); } function drx_woocommerce_remove_add_to_cart_button_on_deactivation() { if ( ! current_user_can( 'activate_plugins' ) ) return; $plugin = isset( $_REQUEST['plugin'] ) ? $_REQUEST['plugin'] : ''; check_admin_referer( "deactivate-plugin_{$plugin}" ); if (function_exists('drx_woocommerce_remove_add_to_cart_button_deactivate')) drx_woocommerce_remove_add_to_cart_button_deactivate(); } function drx_woocommerce_remove_add_to_cart_button_on_uninstall() { if ( ! current_user_can( 'activate_plugins' ) ) return; check_admin_referer( 'bulk-plugins' ); if ( __FILE__ != WP_UNINSTALL_PLUGIN ) return; if (function_exists('drx_woocommerce_remove_add_to_cart_button_uninstall')) drx_woocommerce_remove_add_to_cart_button_uninstall(); } register_activation_hook( __FILE__, 'drx_woocommerce_remove_add_to_cart_button_on_activation' ); register_deactivation_hook( __FILE__, 'drx_woocommerce_remove_add_to_cart_button_on_deactivation' ); register_uninstall_hook( __FILE__, 'drx_woocommerce_remove_add_to_cart_button_on_uninstall' ); function drx_woocommerce_remove_add_to_cart_button_load_textdomain() { load_plugin_textdomain( 'drx-woocommerce-remove-add-to-cart-button', false, basename( dirname( __FILE__ ) ) . '/languages' ); } add_action( 'plugins_loaded', 'drx_woocommerce_remove_add_to_cart_button_load_textdomain' );